[ng-cloak] { display: none !important; }

html,body {
  height: 100%;
}
.contene {
  width: 100%;
  max-width: 100%;
  max-height: calc(100vh - 85px);
  overflow: auto;
  margin-top: 0px;
  padding-top: 0px;
  /*position: relative;*/
}
.navmenu{
  background: #E2E4E5;
  max-height: 30px;
  padding-top: 5px;
  padding-bottom: 0px;
}
#navbar-prin{
  /*background: #f75348;*/
  z-index: 1000;
}
.titulo-pagina{
  background: #6c757d;
  /*margin: 0px;*/
  margin-bottom: 8px;
}
.btn-primary{
  background: #38a1d9;/*#284777;*/
}
.btn-info{
  background: #0989C1; /*#17a2b8*/
}
/*.bg-info{
  background: #0989C1;
}*/
.btn-secondary{
  background: #6797D1;
}
input.ng-invalid {
  border: 1px solid #f00;
}
select.ng-invalid {
  border: 1px solid #f00;
}
.check-min{
  max-height: 18px;
  max-width: 18px;
}
.letra-min{
  color: #000000;
  font-size: 12px;
}
.letranormal {
  font-size: 0.6em;
  overflow-wrap: break-word;
}
.bg-titulo{
  background: #9c9c9c;
  color: #FFF;
  margin-top: 45px;
  margin-bottom: 1px;
}
.bg-subtitulo{
  background: #A4A4A4;
  color: #FFF;
  margin-bottom: 0px;
}
.bg-subtitulo select{
  background: #FFF;
  height: 25px;
}
.tipobot label{
  width: 95%;
  margin: auto;
  background: #A4A4A4;
  margin-bottom: 5px;
  border-radius: 5px;
  padding: 5px;
  text-align: center;
  cursor: pointer;
}
.separarhorizontal{
  margin-top: 2px;
  border-top: 1px solid grey;
}
.paginados{
  width: auto;
  max-width: 80%;
  overflow: auto;
}
.paginados select{
  width: 4px;
}
.contene .tam-vertical{
  max-height: calc(100vh - 180px);
  overflow: auto;
}
.contene-width{
  max-width: 98%;
  max-height: 80%;
  overflow: auto;
}
.row{
  max-width: 100%;
  margin: auto;
}
.buscar-producto{
  max-height: calc(100vh - 330px);
  overflow: auto;
}
.ticket{
  /*height: 60%;*/
  overflow: auto;
  max-height: calc(100vh - 180px);
}
#impresion{
  display: none;
}
.partehorizontal{
  overflow-x: auto;
}
#lateral {
  max-height: calc(100vh - 150px);
  overflow: auto;
}
#vista-prin{
  max-height: calc(100vh - 148px);
  overflow: auto;
}
.modal-body { /*100%*/
    max-height: calc(100vh - 180px);
    overflow-y: auto;
}

#enimpresion{
  display: none !important;
  font-size: 0.65rem;
}
#impresionticket{
  display: none !important;
  font-size: 0.65rem;
}
#impresionFactura {
  display: none !important;
  font-size: 10px;
}
/*AUTOMPLETE*/
.autocomplete{
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 0;
  right: 0;
}
.loader {
  /*background: #d02727;
  opacity: 0.5;*/
  color: #fff;
  z-index: 1000;
  width: 20%;
  height: 10%;
  position: fixed;
  top: 35%;
  left: 40%;
  text-align: center;
  border-radius: 0%;
  cursor: pointer;
  font-family: Arial;
  font-size: 0.8em;
  letter-spacing: 0.2em;
 }
 .letratabla{
   font-size: 0.8em;
 }
 .btn-table{
   font-size: 0.6em;
 }
 table input{
   max-height: 22px;
 }
 table select{
  max-height: 22px;
}
 #noimprimir{
  display: block !important;
}
@media print{
  #ocultarimpresion{
    display: none !important;
  }
  #enimpresion{
    display: block !important;
    font-size: 0.65rem;
  }
  #impresionticket{
    display: block !important;
    font-size: 0.65rem;
  }
  #noimprimir{
    display: none !important;
  }
  #impresionFactura {
    display: block !important;
    font-size: 10px;
  }

}
